Skip to main content
GET
/
v1
/
report
/
insight
/
diagnostics
/
traffic
/
{uid}
/report/insight/diagnostics/traffic/:uid
curl --request GET \
  --url https://api.tagdeliver.com/v1/report/insight/diagnostics/traffic/{uid} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tagdeliver.com/v1/report/insight/diagnostics/traffic/{uid}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tagdeliver.com/v1/report/insight/diagnostics/traffic/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": {
    "dates": [
      "2025-11-17",
      "2025-11-18",
      "2025-11-19",
      "2025-11-20",
      "2025-11-21",
      "2025-11-22",
      "2025-11-23"
    ],
    "page_impression": [
      274979,
      240515,
      215180,
      213560,
      232564,
      206028,
      172336
    ],
    "page_views": [
      205013,
      184535,
      164184,
      161322,
      179642,
      149858,
      120586
    ],
    "revenue": [
      6327.34,
      6398.41,
      6120.5,
      5548.25,
      5285.43,
      4586.71,
      3946.68
    ],
    "analytics_connected": true,
    "currency": "GBP"
  },
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

uid
integer
required

Query Parameters

range
enum<string>

Date range. All ranges exclude today and run up to yesterday

Available options:
custom,
all_time,
seven_days,
fourteen_days,
thirty_days,
three_months,
six_months,
week_to_date,
month_to_date,
quarter_to_date,
year_to_date,
last_week,
last_month,
last_quarter,
last_year,
month_on_month,
quarter_on_quarter,
yesterday
start
string<date>

Start date when range=custom

end
string<date>

End date when range=custom

date_group
enum<string>
default:day

Date grouping when range=custom

Available options:
day,
month,
year

Response

200 - application/json
results
object
required
success
boolean
required